summaryrefslogtreecommitdiff
path: root/eclass/cvs.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2021-10-08 23:06:07 +0100
committerV3n3RiX <venerix@koprulu.sector>2021-10-08 23:06:07 +0100
commite23a08d0c97a0cc415aaa165da840b056f93c997 (patch)
tree4c5f7db60483518201fef36f8cc0712789a08db2 /eclass/cvs.eclass
parent391b5b359a346aff490103da7dddc85047f83830 (diff)
gentoo resync : 08.10.2021
Diffstat (limited to 'eclass/cvs.eclass')
-rw-r--r--eclass/cvs.eclass29
1 files changed, 15 insertions, 14 deletions
diff --git a/eclass/cvs.eclass b/eclass/cvs.eclass
index a8e5ee4cc9a0..99b90cec6b54 100644
--- a/eclass/cvs.eclass
+++ b/eclass/cvs.eclass
@@ -4,7 +4,7 @@
# @ECLASS: cvs.eclass
# @MAINTAINER:
# vapier@gentoo.org (and anyone who wants to help)
-# @SUPPORTED_EAPIS: 4 5 6 7
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: This eclass provides generic cvs fetching functions
# @DESCRIPTION:
# This eclass provides the generic cvs fetching functions. To use this from an
@@ -16,6 +16,11 @@
if [[ -z ${_CVS_ECLASS} ]]; then
_CVS_ECLASS=1
+case ${EAPI} in
+ 7|8) ;;
+ *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
+esac
+
# TODO:
# Implement more auth types (gserver?, kserver?)
@@ -179,7 +184,7 @@ PROPERTIES+=" live"
# add cvs to deps
# ssh is used for ext auth
-DEPEND="dev-vcs/cvs"
+BDEPEND="dev-vcs/cvs"
if [[ ${ECVS_AUTH} == "ext" ]] ; then
#default to ssh
@@ -187,16 +192,12 @@ if [[ ${ECVS_AUTH} == "ext" ]] ; then
if [[ ${CVS_RSH} != "ssh" ]] ; then
die "Support for ext auth with clients other than ssh has not been implemented yet"
fi
- DEPEND+=" net-misc/openssh"
+ BDEPEND+=" net-misc/openssh"
fi
-case ${EAPI:-0} in
- 4|5|6) ;;
- 7) BDEPEND="${DEPEND}"; DEPEND="" ;;
- *) die "${ECLASS}: EAPI ${EAPI:-0} is not supported" ;;
-esac
-
-# called from cvs_src_unpack
+# @FUNCTION: cvs_fetch
+# @DESCRIPTION:
+# Fetch sources from a CVS repository. Called from cvs_src_unpack.
cvs_fetch() {
# Make these options local variables so that the global values are
# not affected by modifications in this function.
@@ -258,10 +259,10 @@ cvs_fetch() {
# just remove the last path element in the string)
debug-print "${FUNCNAME}: checkout mode. creating cvs directory"
- addwrite /foobar
- addwrite /
- mkdir -p "/${ECVS_TOP_DIR}"
- export SANDBOX_WRITE="${SANDBOX_WRITE//:\/foobar:\/}"
+ (
+ addwrite /
+ mkdir -p "${ECVS_TOP_DIR}" || die "mkdir ${ECVS_TOP_DIR} failed"
+ )
fi
# In case ECVS_TOP_DIR is a symlink to a dir, get the real path,